mtext_property(3m17n)

NAME
mtext_property - Create a text property.

SYNOPSIS
MTextProperty* mtext_property (MSymbol key, void * val, int control_bits)

DESCRIPTION
Create a text property.

The mtext_property() function returns a newly allocated text property whose key is key and value is val. The created text property is not attached to any M-text, i.e. it is detached.

control_bits must be 0 or logical OR of enum MTextPropertyControl.

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.